---@meta

---@class UBPC_Player_Ambience_Component_C : UActorComponent
---@field UberGraphFrame FPointerToUberGraphFrame
---@field AmbienceComponent UAudioComponent
---@field AreaToIndex TMap<Area_Ambience_Definition::Type, int32>
local UBPC_Player_Ambience_Component_C = {}

---@param TreeCount int32
function UBPC_Player_Ambience_Component_C:SetEcologyPerDefinition(TreeCount) end
---@param LocallyControlled boolean
function UBPC_Player_Ambience_Component_C:IsLocallyControlled(LocallyControlled) end
function UBPC_Player_Ambience_Component_C:UpdateCurrentEcology() end
---@param CurrentArea Area_Ambience_Definition::Type
function UBPC_Player_Ambience_Component_C:UpdateArea(CurrentArea) end
function UBPC_Player_Ambience_Component_C:ReceiveBeginPlay() end
---@param ApplyDucking boolean
function UBPC_Player_Ambience_Component_C:ApplyDucking(ApplyDucking) end
---@param EntryPoint int32
function UBPC_Player_Ambience_Component_C:ExecuteUbergraph_BPC_Player_Ambience_Component(EntryPoint) end


